import Component from '../../component.js'

export default class CoUxWidgetManager extends Component {
    constructor(parent) {
      let selector = 'div[contains(@class, "ux-widget s-manager")]';
      super(parent, selector);
      this.gridsterItemCo = new CoGridsterItem(this.currentPath);
      //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/externals/src/lib/widgets/components/ux-widgets-manager/ux-widgets-manager.component.html
    }
    get noWidgetsAlertMessage () {
      let path = '//div[contains(@class,"mt-3")]//ux-alert';
      return this.currentPath + path;
    }
}

export class CoGridsterItem extends Component {
  constructor(parent) {
    let selector = 'gridster-item';
    super(parent, selector);
  }
}
